Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 652085 - Review Request: SFML - A simple and fast multimedia library
Summary: Review Request: SFML - A simple and fast multimedia library
Keywords:
Status: CLOSED DUPLICATE of bug 759059
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 997679
TreeView+ depends on / blocked
 
Reported: 2010-11-10 23:31 UTC by MERCIER Jonathan
Modified: 2013-08-17 08:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-18 23:29:10 UTC
karlthered: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 759059 None None None Never

Internal Links: 759059

Comment 2 Susi Lehtola 2010-11-13 01:01:31 UTC
The summary should read simply
 "A simple and fast multimedia library"
instead of
 "SFML is a simple and fast multimedia library"

Comment 3 MERCIER Jonathan 2010-11-13 04:55:00 UTC
spec update

Comment 4 Haïkel Guémar 2010-11-18 20:04:50 UTC
* license field should use standard short name: zlib instead of zlib/libpng.
* unversionned shared libraries should go into appropriate devel subpackage
* no %post & %postun for shared libraries subpackages
* incoherent versionning in changelog: use major.minor.revision scheme !
* main package group should be "Development/Libraries"
* any reason not shipping sfml bindings ? at least, you should enable C, Python, Ruby and D ;)
* what's the status of sfml 1.6 ? are the two branches parallel installable ? if it's the case, you should consider renaming your package sfml2.

Comment 5 MERCIER Jonathan 2010-11-22 19:24:44 UTC
i can't enable sfml binding in same time for example for CSFML we need have FindSFML.cmake in /usr/share/cmake/Modules/FindSFML.cmake. 
I do not know how said to cmake look this module in %{buildroot}/%{_datadir}/cmake/Modules/FindSFML.cmake

cmake search only in /usr/share/cmake/Modules.

SFML 1.6 is unmaintained

For other thing i will fix spec file

Comment 6 Haïkel Guémar 2010-11-22 20:34:10 UTC
> cmake search only in /usr/share/cmake/Modules
You can override default search path by using variable CMAKE_MODULE_PATH, you may even reorder search path priorities. That's basic stuff for awesome build systems like CMake.

I see 2 options from there:
a) hacking CMake files to enable building bindings, do-able but requires some cmake wizardry.
b) regenerate your tarballs without bindings. 
i'd rather go with option b) and ask SFML maintainer to provide proper sources tarballs when it goes stable. It will simplify both upstream and downstream maintainers lifes.

Comment 7 MERCIER Jonathan 2010-12-28 12:44:02 UTC
i choose b/
update rpm package
scratch build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=2691167

Comment 8 Haïkel Guémar 2010-12-28 21:11:40 UTC
* devel subpackages should require their non-devel counterpart.
* since you use %cmake macro, you don't need to set CMAKE_INSTALL_PREFIX, CMAKE_INSTALL_LIBDIR or LIB_INSTALL_DIR (rpm --eval %cmake will tell which options are already enabled). You could probably drop the VERBOSE=1 as we set CMAKE_VERBOSE_MAKEFILE.
* to improve spec readability, avoid lines longer than 80 columns or any reasonnable limit.

Comment 9 Tim Niemueller 2011-06-21 18:21:54 UTC
F-15 requires some trivial fixes to build (NULL undefined, just replace with 0). Would you consider to go on with the review?

Comment 10 MERCIER Jonathan 2011-07-29 21:21:23 UTC
sorry i have miss your message, currently i works on ldc 2 so i think is better wait ldc 2 (D2) is done and after continuing D packaging

Comment 11 Tim Niemueller 2011-10-12 08:56:49 UTC
Any progress?

Comment 12 Julian Sikorski 2011-12-01 11:06:38 UTC
I have made an SFML-1.6 package and submitted it for review. It is required by the dolphin emulator, which might be then targeted to RPM Fusion.

Comment 13 MERCIER Jonathan 2011-12-18 23:29:10 UTC

*** This bug has been marked as a duplicate of bug 759059 ***


Note You need to log in before you can comment on or make changes to this bug.